httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hemant Chaudhary <hemantdude.chaudh...@gmail.com>
Subject Re: [users@httpd] Problems building httpd-2.4.26 with apr-1.6.2 and apr-util-1.6.0
Date Fri, 23 Jun 2017 15:11:42 GMT
Hi
Libexpat.so is not linked. Xml unresolved error is because of libexpat of
apr-util.

Thanks
Hemant

On Jun 23, 2017 9:55 PM, "Martin Knoblauch" <knobi@knobisoft.de> wrote:

> Hi,
>
>  first post to this lists. Please be friendly :-)
>
> For some years now I have been building httpd-2.4.x with apr and apr-util
> the same way without problems:
>
> - unload httpd archive
> - unload apr-xxx into HTTPD/scrlib and rename to apr
> - unload apr-util-yyy into HTTPD/srclib and rename to apr-util
> - ./configure
> - make
> - be happy
>
>  This works fine up to httpd-2.4.26+apr-1.5.2+apr-util-1.5.4.
>
> No I discovered that there are new apr versions available. So I tried the
> above procedure with apr-1.6.2 and apr-util-1.6.0 (maybe a mistake to try
> something.0 :-). This fails with the following messages:
>
> ############
> /scratch/httpd-2.4.26/srclib/apr/libtool --silent --mode=compile gcc
> -std=gnu99  -g -O2 -pthread      -DLINUX -D_REENTRANT -D_GNU_SOURCE     -I.
> -I/scratch/httpd-2.4.26/os/unix -I/scratch/httpd-2.4.26/include
> -I/scratch/httpd-2.4.26/srclib/apr/include -I/scratch/httpd-2.4.26/srclib/apr-util/include
> -I/opt/msc_stuff/openldap-current/include -I/scratch/httpd-2.4.26/modules/aaa
> -I/scratch/httpd-2.4.26/modules/cache -I/scratch/httpd-2.4.26/modules/core
> -I/scratch/httpd-2.4.26/modules/database -I/scratch/httpd-2.4.26/modules/filters
> -I/scratch/httpd-2.4.26/modules/ldap -I/scratch/httpd-2.4.26/server
> -I/scratch/httpd-2.4.26/modules/loggers -I/scratch/httpd-2.4.26/modules/lua
> -I/scratch/httpd-2.4.26/modules/proxy -I/scratch/httpd-2.4.26/modules/session
> -I/scratch/httpd-2.4.26/modules/ssl -I/scratch/httpd-2.4.26/modules/test
> -I/scratch/httpd-2.4.26/server -I/scratch/httpd-2.4.26/modules/arch/unix
> -I/scratch/httpd-2.4.26/modules/dav/main -I/scratch/httpd-2.4.26/modules/generators
> -I/scratch/httpd-2.4.26/modules/mappers  -prefer-non-pic -static -c
> modules.c && touch modules.lo
> gcc -std=gnu99  -g -O2 -pthread      -DLINUX -D_REENTRANT
> -D_GNU_SOURCE     -I. -I/scratch/httpd-2.4.26/os/unix
> -I/scratch/httpd-2.4.26/include -I/scratch/httpd-2.4.26/srclib/apr/include
> -I/scratch/httpd-2.4.26/srclib/apr-util/include -I/opt/msc_stuff/openldap-current/include
> -I/scratch/httpd-2.4.26/modules/aaa -I/scratch/httpd-2.4.26/modules/cache
> -I/scratch/httpd-2.4.26/modules/core -I/scratch/httpd-2.4.26/modules/database
> -I/scratch/httpd-2.4.26/modules/filters -I/scratch/httpd-2.4.26/modules/ldap
> -I/scratch/httpd-2.4.26/server -I/scratch/httpd-2.4.26/modules/loggers
> -I/scratch/httpd-2.4.26/modules/lua -I/scratch/httpd-2.4.26/modules/proxy
> -I/scratch/httpd-2.4.26/modules/session -I/scratch/httpd-2.4.26/modules/ssl
> -I/scratch/httpd-2.4.26/modules/test -I/scratch/httpd-2.4.26/server
> -I/scratch/httpd-2.4.26/modules/arch/unix -I/scratch/httpd-2.4.26/modules/dav/main
> -I/scratch/httpd-2.4.26/modules/generators -I/scratch/httpd-2.4.26/modules/mappers
> -c /scratch/httpd-2.4.26/server/buildmark.c
> /scratch/httpd-2.4.26/srclib/apr/libtool --silent --mode=link gcc
> -std=gnu99  -g -O2 -pthread        -L/opt/msc_stuff/openldap-current/lib
> -L/opt/msc_stuff/openssl-current/lib -Wl,-rpath=/opt/msc_stuff/
> openldap-current/lib,-rpath=/opt/msc_stuff/openssl-current/lib -o httpd
> modules.lo buildmark.o -export-dynamic server/libmain.la modules/core/
> libmod_so.la modules/http/libmod_http.la  os/unix/libos.la -L/usr/lib64
> -lpcre    /scratch/httpd-2.4.26/srclib/apr-util/libaprutil-1.la
> /scratch/httpd-2.4.26/srclib/apr/libapr-1.la -lrt -lcrypt -lpthread -ldl
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_ParserCreate'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_GetErrorCode'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_SetUserData'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_SetDefaultHandler'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_ErrorString'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_ParserFree'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_SetElementHandler'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_Parse'
> /scratch/httpd-2.4.26/srclib/apr-util/.libs/libaprutil-1.so: undefined
> reference to `XML_SetCharacterDataHandler'
> collect2: ld returned 1 exit status
> make[1]: *** [httpd] Error 1
> make[1]: Leaving directory `/net/lpsdm77/fs1/scratch/httpd-2.4.26'
> make: *** [all-recursive] Error 1
> #########
>
>  Apparently apr-util no longer bundles "expat". So my question: what is
> the correct/intended way to work around this?
>
> Thanks in advance
> Martin
> --
> ------------------------------------------------------
> Martin Knoblauch
> email: k n o b i AT knobisoft DOT de
> www: http://www.knobisoft.de
>

Mime
View raw message